from django.db import models

class Matches(models.Model):
    match_id = models.TextField()
    season = models.TextField()
    city = models.TextField()
    date = models.TextField()
    team1 = models.TextField()
    team2 = models.TextField()
    toss_winner = models.TextField()
    toss_decision = models.TextField()
    result = models.TextField()
    dl_applied = models.TextField()
    winner = models.TextField()
    win_by_runs = models.TextField()
    win_by_wickets = models.TextField()
    player_of_match = models.TextField()
    venue = models.TextField()
    umpire1 = models.TextField()
    umpire2 = models.TextField()
    umpire3  = models.TextField()



class Deliveries(models.Model):
    deliveries_id = models.ForeignKey(Matches, on_delete=models.CASCADE)
    inning = models.TextField()
    batting_team = models.TextField()
    bowling_team = models.TextField()
    over = models.TextField()
    ball = models.TextField()
    batsman = models.TextField()
    non_striker = models.TextField()
    bowler = models.TextField()
    is_super_over = models.TextField()
    wide_runs = models.TextField()
    bye_runs = models.TextField()
    legbye_runs = models.TextField()
    noball_runs = models.TextField()
    penalty_runs = models.TextField()
    batsman_runs = models.TextField()
    extra_runs  = models.TextField()
    total_runs  = models.TextField()
    player_dismissed  = models.TextField()
    dismissal_kind  = models.TextField()
    fielder  = models.TextField()